package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Processing_agent;
import com.realnet.vpspack.Services.Processing_agentService ;














@RequestMapping(value = "/Processing_agent")
 @CrossOrigin("*") 
@RestController
public class Processing_agentController {
	@Autowired
	private Processing_agentService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Processing_agent")
		  public Processing_agent Savedata(@RequestBody Processing_agent data) {
		Processing_agent save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Processing_agent/{id}")
	public  Processing_agent update(@RequestBody Processing_agent data,@PathVariable Integer id ) {
		Processing_agent update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Processing_agent/getall/page")
	public Page<Processing_agent> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Processing_agent> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Processing_agent")
	public List<Processing_agent> getdetails() {
		 List<Processing_agent> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Processing_agent")
	public List<Processing_agent> getallwioutsec() {
		 List<Processing_agent> get = Service.getdetails();		
		return get;
}
@GetMapping("/Processing_agent/{id}")
	public  Processing_agent  getdetailsbyId(@PathVariable Integer id ) {
		Processing_agent  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Processing_agent/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}